.main-footer {
    margin-top: auto;

    .container-fluid {
        @media (min-width: 501px) {
            padding-left: @grid-gutter-width;
            padding-right: @grid-gutter-width;
        }
    }

    .footer-top,
    .footer-bottom {
        background: @footer-bg;
    }

    .footer-top {
        margin-top: @grid-gutter-width*2;
        padding: @grid-gutter-width 0;
        color: @footer-color;

        a {
            color: @footer-link-color;
        }

        .footer-row {
            margin: 0 -@grid-gutter-width/2;
            display: flex;
            align-items: flex-start;
            flex-wrap: wrap;

            @media (min-width: @screen-md-min) {
                flex-wrap: nowrap;
            }
        }

        .footer-sub-row {
            flex-wrap: wrap !important;
        }

        .footer-col {
            flex-basis: 0;
            flex-grow: 1;
            max-width: 100%;
            width: 100%;
            padding: 0 @grid-gutter-width/2;
        }

        .footer-sub-col {
            padding-top: @grid-gutter-width;
            padding-bottom: @grid-gutter-width;

            @media (min-width: @screen-md-min) {
                flex-basis: 180px;
                width: 180px;
                flex-grow: 0;
            }
        }

        .footer-newsletter {
            margin-bottom: @grid-gutter-width*3;
            order: 2;
            flex-grow: 0;

            @media (max-width: @screen-sm-max) {
                margin-bottom: @grid-gutter-width*2;
                flex-basis: 100%;
                flex-grow: 1;
                order: 0;
            }

            .footer-row {
                @media (max-width: @screen-lg) {
                    flex-wrap: wrap;
                    justify-content: flex-end;
                }
            }

            .footer-newsletter-content {
                @media (min-width: @screen-md-min) {
                    flex-basis: 320px;
                    width: 320px;
                    flex-grow: 0;
                }
            }

            .newsletter-input-wrapper {
                margin: @grid-gutter-width 0;
                position: relative;
                width: 100%;

                .fa {
                    position: absolute;
                    left: 0;
                    top: 8px;
                    width: 30px;
                    text-align: center;
                    margin-top: 2px;
                }

                input {
                    width: 100%;
                    padding: @grid-gutter-width/3 @grid-gutter-width/3 @grid-gutter-width/3 @grid-gutter-width*1.5;
                    border: solid #fff;
                    border-width: 0 0 1px 0;
                    background: none;
                }

                button {
                    border: 0;
                    text-transform: uppercase;
                    font-weight: bold;
                    background-color: #fff;
                }
            }
        }

        .footer-logo-desktop {
            display: none;

            @media (min-width: @screen-md-min) {
                width: 250px;
                flex-basis: 250px;
                padding-left: @grid-gutter-width*1.5;
                display: block;
                margin-top: 12px;
            }

            @media (max-width: @screen-lg) {
                width: 320px;
                flex-basis: 320px;
                margin-top: @grid-gutter-width;
                padding-left: @grid-gutter-width/2;
            }

            img {
                width: 100%;
                height: auto;
            }
        }

        .footer-logo-mobile {
            justify-content: center;
            text-align: center;

            @media (min-width: @screen-md-min) {
                display: none;
            }

            img {
                max-width: 200px;
                width: 100%;
                height: auto;
            }
        }

        .footer-links {
            @media (min-width: @screen-md-min) {
                padding-right: @grid-gutter-width*1.5;
            }

            .footer-sub-col {
                @media (max-width: 500px) {
                    flex-basis: 100%;
                    max-width: 100%;
                }

                @media (min-width: 501px) and (max-width: @screen-xs-max) {
                    flex-basis: 50%;
                    max-width: 50%;
                }

                @media (min-width: @screen-sm-min) and (max-width: @screen-sm-max) {
                    flex-basis: 33.33333%;
                    max-width: 33.333333%;
                }
            }
        }

        h2, h3, h4,
        .h2, .h3, .h4 {
            font-weight: bold;
            font-size: @font-size-large;
            text-transform: uppercase;
            margin-top: 0;
            margin-bottom: 0;
            margin-bottom: @grid-gutter-width;

            @media (min-width: @screen-sm-min) {
                min-height: 60px;
            }

            @media (min-width: @screen-md-min) {
                margin-bottom: 0;
            }
        }

        ul {
            display: block;
            padding: 0;
            margin-bottom: @grid-gutter-width/2;
            list-style: none;

            li {
                display: block;

                a {
                    display: block;
                    padding: 10px 0;
                    font-size: @font-size-small;
                }
            }
        }
    }

    .footer-bottom {
        padding: @grid-gutter-width/3 0;
        color: @text-muted;
        font-size: @font-size-small;

        a {
            color: inherit;
        }

        .footer-bottom-content {
            display: flex;
            flex-wrap: wrap;
            align-items: center;
            text-align: center;
            justify-content: flex-start;

            > * {
                margin: 0 @grid-gutter-width/3;

                & + *::before {
                    content: "\2014";
                    margin-right: @grid-gutter-width/3;
                }
            }

            p {
                margin: 0;
            }
        }
    }
}
